/* 41BYTAB  REXX: HP41 byte table                                     */
trace o                               /* in case of stall             */
'BEGOUTPUT endmark'                   /* get byte table for LOOKUP    */
/* Hx L Prefix  Sfx                                                   */
-- |...+....1....+|
  '00 N NULL    00'                   /* NULL is essential            */
  '01 1 LBL 00 01'
  '02 1 LBL 01 02'
  '03 1 LBL 02 03'
  '04 1 LBL 03 04'
  '05 1 LBL 04 05'
  '06 1 LBL 05 06'
  '07 1 LBL 06 07'
  '08 1 LBL 07 08'
  '09 1 LBL 08 09'
  '0A 1 LBL 09 10'
  '0B 1 LBL 10 11'
  '0C 1 LBL 11 12'
  '0D 1 LBL 12 13'
  '0E 1 LBL 13 14'
  '0F 1 LBL 14 15'
  '10 D 0       16'                  /* Digitentry ends with NULL too */
  '11 D 1       17'
  '12 D 2       18'
  '13 D 3       19'
  '14 D 4       20'
  '15 D 5       21'
  '16 D 6       22'
  '17 D 7       23'
  '18 D 8       24'
  '19 D 9       25'
  '1A D .       26'
  '1B D E       27'                   /* EEX                          */
  '1C D -       28'                   /* NEG                          */
  "1D W GTO     29"
  "1E W XEQ     30"
  "1F W W       31"
  '20 1 RCL 00  32'
  '21 1 RCL 01  33'
  '22 1 RCL 02  34'
  '23 1 RCL 03  35'
  '24 1 RCL 04  36'
  '25 1 RCL 05  37'
  '26 1 RCL 06  38'
  '27 1 RCL 07  39'
  '28 1 RCL 08  40'
  '29 1 RCL 09  41'
  '2A 1 RCL 10  42'
  '2B 1 RCL 11  43'
  '2C 1 RCL 12  44'
  '2D 1 RCL 13  45'
  '2E 1 RCL 14  46'
  '2F 1 RCL 15  47'
  '30 1 STO 00  48'
  '31 1 STO 01  49'
  '32 1 STO 02  50'
  '33 1 STO 03  51'
  '34 1 STO 04  52'
  '35 1 STO 05  53'
  '36 1 STO 06  54'
  '37 1 STO 07  55'
  '38 1 STO 08  56'
  '39 1 STO 09  57'
  '3A 1 STO 10  58'
  '3B 1 STO 11  59'
  '3C 1 STO 12  60'
  '3D 1 STO 13  61'
  '3E 1 STO 14  62'
  '3F 1 STO 15  63'
  '40 1 +       64'
  '41 1 -       65'
  '42 1 *       66'
  '43 1 /       67'
  '44 1 X<Y?    68'
  '45 1 X>Y?    69'
  '46 1 X<=Y?   70'
  '47 1 +      71'
  '48 1 -      72'
  '49 1 HMS+    73'
  '4A 1 HMS-    74'
  '4B 1 MOD     75'
  '4C 1 %       76'
  '4D 1 %CH     77'
  '4E 1 P->R    78'
  '4F 1 R->P    79'
  '50 1 LN      80'
  '51 1 X^2     81'
  '52 1 SQRT    82'
  '53 1 Y^X     83'
  '54 1 CHS     84'
  '55 1 e^X     85'
  '56 1 LOG     86'
  '57 1 10^X    87'
  '58 1 e^X-1   88'
  '59 1 SIN     89'
  '5A 1 COS     90'
  '5B 1 TAN     91'
  '5C 1 ASIN    92'
  '5D 1 ACOS    93'
  '5E 1 ATAN    94'
  '5F 1 ->DEC   95'
  '60 1 1/X     96'
  '61 1 ABS     97'
  '62 1 FACT    98'
  '63 1 X\=0?   99'
  '64 1 X>0     100'
  '65 1 LN1+X   101'
  '66 1 X<0?    A'
  '67 1 X=0?    B'
  '68 1 INT     C'
  '69 1 FRC     D'
  '6A 1 D->R    E'
  '6B 1 R->D    F'
  '6C 1 ->HMS   G'
  '6D 1 ->HR    H'
  '6E 1 RND     I'
  '6F 1 ->OCT   J'
  '70 1 CL     T'
  '71 1 X<>Y    Z'
  '72 1 PI      Y'
  '73 1 CLST    X'
  '74 1 R^      L'
  '75 1 RDN     M'
  '76 1 LASTX   N'
  '77 1 CLX     O'
  '78 1 X=Y?    P'
  '79 1 X\=Y?   Q'
  '7A 1 SIGN    ~'
  '7B 1 X<=0?   a'
  '7C 1 MEAN    b'
  '7D 1 SDEV    c'
  '7E 1 AVIEW   d'
  '7F 1 CLD     e'
  '80 1 DEG     IND 00'
  '81 1 RAD     IND 01'
  '82 1 GRAD    IND 02'
  '83 1 ENTER^  IND 03'
  '84 1 STOP    IND 04'
  '85 1 RTN     IND 05'
  '86 1 BEEP    IND 06'
  '87 1 CLA     IND 07'
  '88 1 ASHF    IND 08'
  '89 1 PSE     IND 09'
  '8A 1 CLRG    IND 10'
  '8B 1 AOFF    IND 11'
  '8C 1 AON     IND 12'
  '8D 1 OFF     IND 13'
  '8E 1 PROMPT  IND 14'
  '8F 1 ADV     IND 15'
  '90 2 RCL     IND 16'
  '91 2 STO     IND 17'
  '92 2 ST+     IND 18'
  '93 2 ST-     IND 19'
  '94 2 ST*     IND 20'
  '95 2 ST/     IND 21'
  '96 2 ISG     IND 22'
  '97 2 DSE     IND 23'
  '98 2 VIEW    IND 24'
  '99 2 REG    IND 25'
  '9A 2 ASTO    IND 26'
  '9B 2 ARCL    IND 27'
  '9C 2 FIX     IND 28'
  '9D 2 SCI     IND 29'
  '9E 2 ENG     IND 30'
  '9F 2 TONE    IND 31'
  'A0 X XROM    IND 32'
  'A1 X XROM    IND 33'
  'A2 X XROM    IND 34'
  'A3 X XROM    IND 35'
  'A4 X XROM    IND 36'
  'A5 X XROM    IND 37'
  'A6 X XROM    IND 38'
  'A7 X XROM    IND 39'
  'A8 2 SF      IND 40'
  'A9 2 CF      IND 41'
  'AA 2 FS?C    IND 42'
  'AB 2 FC?C    IND 43'
  'AC 2 FS?     IND 44'
  'AD 2 FC?     IND 45'
  'AE S G/X IND IND 46'
  'AF G SPARE   IND 47'
  'B0 G SPARE   IND 48'
  'B1 G GTO 00  IND 49'
  'B2 G GTO 01  IND 50'
  'B3 G GTO 02  IND 51'
  'B4 G GTO 03  IND 52'
  'B5 G GTO 04  IND 53'
  'B6 G GTO 05  IND 54'
  'B7 G GTO 06  IND 55'
  'B8 G GTO 07  IND 56'
  'B9 G GTO 08  IND 57'
  'BA G GTO 09  IND 58'
  'BB G GTO 10  IND 59'
  'BC G GTO 11  IND 60'
  'BD G GTO 12  IND 61'
  'BE G GTO 13  IND 62'
  'BF G GTO 14  IND 63'
  'C0 V GLOBAL  IND 64'
  'C1 V GLOBAL  IND 65'
  'C2 V GLOBAL  IND 66'
  'C3 V GLOBAL  IND 67'
  'C4 V GLOBAL  IND 68'
  'C5 V GLOBAL  IND 69'
  'C6 V GLOBAL  IND 70'
  'C7 V GLOBAL  IND 71'
  'C8 V GLOBAL  IND 72'
  'C9 V GLOBAL  IND 73'
  'CA V GLOBAL  IND 74'
  'CB V GLOBAL  IND 75'
  'CC V GLOBAL  IND 76'
  'CD V GLOBAL  IND 77'
  'CE 2 X<>     IND 78'
  'CF 2 LBL    IND 79'
  'D0 3 GTO     IND 80'
  'D1 3 GTO     IND 81'
  'D2 3 GTO     IND 82'
  'D3 3 GTO     IND 83'
  'D4 3 GTO     IND 84'
  'D5 3 GTO     IND 85'
  'D6 3 GTO     IND 86'
  'D7 3 GTO     IND 87'
  'D8 3 GTO     IND 88'
  'D9 3 GTO     IND 89'
  'DA 3 GTO     IND 90'
  'DB 3 GTO     IND 91'
  'DC 3 GTO     IND 92'
  'DD 3 GTO     IND 93'
  'DE 3 GTO     IND 94'
  'DF 3 GTO     IND 95'
  'E0 3 XEQ     IND 96'
  'E1 3 XEQ     IND 97'
  'E2 3 XEQ     IND 98'
  'E3 3 XEQ     IND 99'
  'E4 3 XEQ     IND 100'
  'E5 3 XEQ     IND 101'
  'E6 3 XEQ     IND A'
  'E7 3 XEQ     IND B'
  'E8 3 XEQ     IND C'
  'E9 3 XEQ     IND D'
  'EA 3 XEQ     IND E'
  'EB 3 XEQ     IND F'
  'EC 3 XEQ     IND G'
  'ED 3 XEQ     IND H'
  'EE 3 XEQ     IND I'
  'EF 3 XEQ     IND J'
  'F0 1 T0-NOP  IND T'
  'F1 T TEXT    IND Z'
  'F2 T TEXT    IND Y'
  'F3 T TEXT    IND X'
  'F4 T TEXT    IND L'
  'F5 T TEXT    IND M'
  'F6 T TEXT    IND N'
  'F7 T TEXT    IND O'
  'F8 T TEXT    IND P'
  'F9 T TEXT    IND Q'
  'FA T TEXT    IND ~'
  'FB T TEXT    IND a'
  'FC T TEXT    IND b'
  'FD T TEXT    IND c'
  'FE T TEXT    IND d'
  'FF T TEXT    IND e'
'endmark'
